NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder Class Reference

Represents a NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder builder used to align the Directions of connected beam elements with a seed beam element. More...

Inheritance diagram for NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ConnectedElementScope { SeedMesh, AllVisible, UserSpecified }
 the options to define the connection scope to the seed element for model checking More...
 

Public Member Functions

unsafe NXOpen.CAE.FEElement[] AlignDirections ()
 Aligns the directions of elements connected to the seed element. More...
 
unsafe void DisplayDirections ()
 Display element directions for connected elements, which are to be aligned with seed element direction More...
 
unsafe NXOpen.CAE.FEElement[] FindAllVisibleConnectedElements ()
 Finds all visible elements connected with the seed element More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder.ConnectedElementScope 
ElementConnectScope [get, set]
 Returns or sets the option to indicate how to define connected elements for checking More...
 
unsafe bool ReverseSeedDirection [get, set]
 Returns or sets the option indicating whether to reverse element directions so that they are aligned with the seed element More...
 
unsafe NXOpen.CAE.FEElement SeedElement [get, set]
 Returns or sets the seed element More...
 
unsafe
NXOpen.CAE.SelectElementsBuilder 
UserSpecifiedConnectElements [get]
 Returns the user specified connected elements to be aligned with seed element More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder builder used to align the Directions of connected beam elements with a seed beam element.

You can align the directions by executing either Builder.Commit or NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder.AlignDirections . The difference between these two methods is Builder.Commit aligns the directions and updates direction display, but it does not return the elements that have changed directions. NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder.AlignDirections aligns the directions and returns the elements that have changed directions. Both of the methods are only available in fem context.

To create a new instance of this class, use NXOpen.CAE.ModelCheckManager.CreateAlignBeamElementDirectionBuilder

Created in NX8.5.0

Member Enumeration Documentation

the options to define the connection scope to the seed element for model checking

Enumerator
SeedMesh 

Limits check to only those beam elements in the mesh that contains the Seed Element

AllVisible 

Limits check to only those beam elements which are connected to the Seed Element and are currently visible

UserSpecified 

Limits check to only those beam elements specified in NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder.UserSpecifiedConnectElements

Member Function Documentation

unsafe NXOpen.CAE.FEElement [] NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder.AlignDirections ( )
inline

Aligns the directions of elements connected to the seed element.

Returns the elements that have had the directions successfully reversed. This method will only reverse the directions for beam elements in the current work fem part.

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
unsafe void NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder.DisplayDirections ( )
inline

Display element directions for connected elements, which are to be aligned with seed element direction

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.FEElement [] NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder.FindAllVisibleConnectedElements ( )
inline

Finds all visible elements connected with the seed element

Created in NX8.5.0

License requirements: None.

Returns

Property Documentation

unsafe NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder.ConnectedElementScope NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder.ElementConnectScope
getset

Returns or sets the option to indicate how to define connected elements for checking

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder.ReverseSeedDirection
getset

Returns or sets the option indicating whether to reverse element directions so that they are aligned with the seed element

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.FEElement NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder.SeedElement
getset

Returns or sets the seed element

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.SelectElementsBuilder NXOpen.CAE.ModelCheck.AlignBeamElementDirectionBuilder.UserSpecifiedConnectElements
get

Returns the user specified connected elements to be aligned with seed element

Created in NX8.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.